org.eclipse.rdf4j.sail.elasticsearchstore

## Class ElasticsearchStoreConnection

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSailConnection
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionBase
    - - org.eclipse.rdf4j.sail.base.SailSourceConnection
      - - org.eclipse.rdf4j.sail.extensiblestore.ExtensibleStoreConnection<ElasticsearchStore>
        - - org.eclipse.rdf4j.sail.elasticsearchstore.ElasticsearchStoreConnection

- All Implemented Interfaces:
    AutoCloseable, FederatedServiceResolverClient, InferencerConnection, NotifyingSailConnection, SailConnection

      @Experimental
      public class ElasticsearchStoreConnection
      extends ExtensibleStoreConnection<ElasticsearchStore>

  Author:
    Håvard Mikkelsen Ottestad

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.extensiblestore.ExtensibleStoreConnection

      `sail`

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `connectionLock, updateLock`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.extensiblestore.ExtensibleStoreConnection

      `addInferredStatement, addStatementInternal, clearInferred, clearInternal, commitInternal, getSail, removeInferredStatement, removeStatementsInternal, rollbackInternal, startTransactionInternal`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.SailSourceConnection

      `addStatement, clearNamespacesInternal, closeInternal, endUpdateInternal, evaluateInternal, explain, flushUpdates, getContextIDsInternal, getEvaluationStrategy, getFederatedServiceResolver, getNamespaceInternal, getNamespacesInternal, getStatementsInternal, prepareInternal, removeNamespaceInternal, removeStatement, setFederatedServiceResolver, setNamespaceInternal, sizeInternal, startUpdate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionBase

      `addConnectionListener, hasConnectionListeners, notifyStatementAdded, notifyStatementRemoved, removeConnectionListener`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `addStatement, autoStartTransaction, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, flush, getContextIDs, getExclusiveConnectionLock, getNamespace, getNamespaces, getSharedConnectionLock, getStatements, getTransactionIsolation, getTransactionLock, isActive, isActiveOperation, isOpen, iterationClosed, pendingAdds, pendingRemovals, prepare, registerIteration, removeNamespace, removeStatements, rollback, setNamespace, size, transactionActive, verifyIsActive, verifyIsOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.NotifyingSailConnection

      `addConnectionListener, removeConnectionListener`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, flush, getContextIDs, getNamespace, getNamespaces, getStatements, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, removeStatements, rollback, setNamespace, setTransactionSettings, size`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.